<xml> </xml>

btb-class |

# HashList(TKey,TValue).Remove(TKey) Method

Removes the element with the specified key from the IDictionary`2.

public bool HashList(
TKey key
);

#### Parameters

key
  The key of the element to remove.

#### Return Value

true if the element is successfully removed; otherwise, false. This method also returns false if key was not found in the original IDictionary`2.

#### Implements

IDictionary<TKey, TValue>.Remove

#### Exceptions

Exception Type | Condition
--- | ---
NotSupportedException | The IDictionary`2 is read-only.
ArgumentNullException | key is null.

#### See Also

HashList<TKey, TValue> Class | ComponentOwl.BetterThumbnailBrowser Namespace | HashList<TKey, TValue>.Remove Overload List